# Uses of Class
org.eclipse.jdt.junit.model.ITestElement.Result

Packages that use ITestElement.Result
Package
Description
org.eclipse.jdt.junit.model
Application programming interfaces representing test elements as shown in the JUnit view.

## Uses of ITestElement.Result in org.eclipse.jdt.junit.model

Fields in org.eclipse.jdt.junit.model declared as ITestElement.Result
Modifier and Type
Field
Description
`static final ITestElement.Result`
ITestElement.Result.`ERROR`
state that describes that the test result is 'Error'
`static final ITestElement.Result`
ITestElement.Result.`FAILURE`
state that describes that the test result is 'Failure'
`static final ITestElement.Result`
ITestElement.Result.`IGNORED`
state that describes that the test result is 'Ignored'
`static final ITestElement.Result`
ITestElement.Result.`OK`
state that describes that the test result is 'OK'
`static final ITestElement.Result`
ITestElement.Result.`UNDEFINED`
state that describes that the test result is undefined
Methods in org.eclipse.jdt.junit.model that return ITestElement.Result
Modifier and Type
Method
Description
`ITestElement.Result`
ITestElement.`getTestResult(boolean includeChildren)`
Returns the result of the test element.